# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_building
import fsm_state

class DamBuilding(base_building.BaseBuilding):
    def __init__(self, cdata):
        base_building.BaseBuilding.__init__(self, cdata)
        self.ser_name = 'DamBuilding'
        self.SetIsHome(False)
        self.hack_for_upgrade = True
# ============================================================
    # @override
    def init_fsm(self):
        base_building.BaseBuilding.init_fsm(self)
        self.fsm_methods.states[StateRepairing.name] = StateRepairing(self)
# ============================================================
    # @override
    #def dispose(self):
    #    EMgr.remove_event_listener(self)
# ============================================================
    #@override
    def on_building_create(self):
        base_building.BaseBuilding.on_building_create(self)
        self.is_deactivated = self.GetAttrBool('deactivated')
# ============================================================
    #@override
    def _switch_animation_extra(self, place):
        if place == 'upgrade':
            self.Drawer.ShowImages('build')     # для дамбы
            self.Drawer.SetProgressedAnimation('build')
# ============================================================
# ============================================================
# ============================================================
class StateRepairing(fsm_state.StateRepairing):
    def __init__(self, item = None):
        fsm_state.StateRepairing.__init__(self, item)
        self.ser_name = 'DamStateRepairing'
    #@override
    def on_enter(self, evID):
        fsm_state.StateRepairing.on_enter(self, evID)
        self.item.Drawer.RestartEffect('build')
# ============================================================
