# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item

class BoardsHelper(base_diff_item.DiffItem):
    def __init__(self, cdata):
        self.is_inited = False
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'BoardsHelper'
        self.template = self.GetAttrStr('template')
        self.Drawer.ShowImages('', False)
        self.is_inited = True
# ============================================================
    # @override
    def switch_animation(self):
        pass
# ============================================================
    def is_cell_free(self):
        cell = self.get('cell')
        return self.IsCellFree( cell )
# ============================================================
    def generate_res(self):
        if self.is_inited:
            if self.is_cell_free():
                parts = self.template.split(':')
                parts_len = len(parts)
                if parts_len > 1:
                    cell_pos = self.get('cell')
                    return self.publish_contents([parts], cell_pos)
        return []
# ============================================================
# #######################################################
# #######################################################
# #######################################################
