# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item

class Crater(base_diff_item.DiffItem):
    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'Crater'        # хотя лучше их вообще не сохранять - но в теории это может что-нить сломать
# ============================================================
    def on_create(self):
        base_diff_item.DiffItem.on_create(self)
        self.Signals.Restart('wait_complete', 30000)
# ============================================================
    def on_signal(self, signal):
        if signal == 'wait_complete':
            self.Signals.Restart('death_wait', 15000)
            self.Drawer.ShowOut('', 10000)
        elif signal == 'death_wait':
            BMgr.RemoveItemFromMap(self)    # самоубийство
# ============================================================
    def switch_animation(self):
        drawer = self.Drawer
        drawer.ShowImages('', False)
        drawer.ShowImages('default')
# ============================================================
# #######################################################
# #######################################################
# #######################################################
