# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item

class Waterfall(base_diff_item.DiffItem):
    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'Waterfall'
        self.snd_id = self.GetAttrStr('snd_id')
# ============================================================
    def on_signal(self, signal):
        base_diff_item.DiffItem.on_signal(self, signal)
        if signal == 'onscreen':
            TMgr.gameHelper.PlaySoundCounted(self.snd_id)
        elif signal == 'offscreen':
            TMgr.gameHelper.StopSoundCounted(self.snd_id)
# ============================================================
# #######################################################
# #######################################################
# #######################################################
