# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import dialog


class GameMenuDlg(dialog.Dialog):
# ============================================================
    def __init__(self, cdata, params={}):
        dialog.Dialog.__init__(self, cdata, params)
        self.size = 'big'
        # если нужно, то доп. параметры можно вытащить из params
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        if command == 'keycode':
            if param == 'escape':
                DLG.PauseGame(False)
                DLG.Close_dialog(self)
# ============================================================
    def on_create(self):
        #tools.SetGraphicCursor(False)
        tools.PlaySound('SND_WINDOW_WOOD')
        DLG.PauseGame(True)
        pass
# ============================================================
    def on_button(self, id):
        if id == 'idContinueBtn':
            DLG.PauseGame(False)
            DLG.Close_dialog(self)
            DLG.SetFocusLB()    # на всякий случай
        elif id == 'idReplayBtn':
            DLG.Open_dialog('SureReplayMenu', 'dlg_asking', {'tag':'replay',
                                                                'caller_dlg_name':self.xml_name})
        elif id == 'idToBookBtn':
            saved = DLG.HasSavedGame()
            #current_mode = DLG.PMgr.cur_user_stat.mode
            if not saved:   # or current_mode != saved.game_mode:
                DLG.Open_dialog('SureGoMainMenu', 'dlg_asking', {'tag':'go_main',
                                                                'caller_dlg_name':self.xml_name})
            else:
                DLG.Open_dialog('SureGoMainMenu2', 'dlg_asking', {'tag':'go_main_with_saved',
                                                                'caller_dlg_name':self.xml_name,
                                                                'no_yes_close':''})
        elif id == 'idOptionsBtn':
            DLG.Open_dialog('OptionsMenu', 'dlg_options')
        elif id == 'idExitBtn':
            DLG.Open_dialog('ExitMenu', 'dlg_exit')
        elif id == 'idGames':
            DLG.SendMsg('more_games')
        elif id == 'idFriend':
            DLG.SendMsg('tell_friend')
        #DLG.PauseGame(False)
# ============================================================
    def on_yesno_result(self, tag, result, extra):
        if tag == 'replay':
            if result == 'yes':
                stats = self.GetFullStats()
                DLG.StopGame()
                DLG.Open_dialog('LoadLevelMenu', 'dlg_loadlevel', {'episode':stats.episode_index, 'level':stats.level_index})
                DLG.Close_dialog(self)
                #@? DLG.clear_awaitinig_dialogs()
                DLG.clear_awaitinig_dialogs()
        elif tag == 'go_main':
            if result == 'yes':
                DLG.SaveGame()
                self.ApplyLevelStat(False)
                DLG.StopGame()
                DLG.Open_dialog('BookMenu', 'dlg_book')
                DLG.Close_dialog(self)
        elif tag == 'go_main_with_saved':
            if result == 'yes':
                DLG.Open_dialog('SureSaveGoMainMenu', 'dlg_asking', {'tag':'save_progress',
                                                                'caller_dlg_name':self.xml_name})
                #self.ApplyLevelStat(False)
                #DLG.StopGame()
                #DLG.Open_dialog('BookMenu', 'dlg_book')
                #DLG.Close_dialog(self)
        elif tag == 'save_progress':
            _SureGoMainMenu2_dlg = DLG.get_dialog('SureGoMainMenu2')
            if _SureGoMainMenu2_dlg: _SureGoMainMenu2_dlg.close_me()
            if result == 'yes':
                DLG.SaveGame()
            self.ApplyLevelStat(False)
            DLG.StopGame()
            DLG.Open_dialog('BookMenu', 'dlg_book')
            DLG.Close_dialog(self)
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
