# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

class MapDlg(MapDialog_class):
# ============================================================
    def __init__(self, cdata, params={}):
        MapDialog_class.__init__(self, cdata)
        self.size = "fullscreen"
        # если нужно, то доп. параметры можно вытащить из params
# ============================================================
    def on_msg(self, msg_type, msg_param1='', msg_param2='', msg_dict={}):
        if msg_type == 'on_create':
            self.on_create()
        elif msg_type == 'state_machine':
            self.on_state_machine(msg_param1, msg_param2, msg_dict)
        elif msg_type == 'signal_msg':
            self.on_signal(msg_param1)
        elif msg_type == 'dlg_command':
            self.on_dlg_command(msg_param1, msg_param2)
        elif msg_type == 'on_command':
            self.on_command(msg_param1, msg_param2, msg_dict.param)
        elif msg_type == 'on_button':
            self.on_button(msg_param1)
        pass
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        pass
# ============================================================
    def on_create(self):
        DLG.PauseGame(True)
        DLG.DrawGame(False)
# ============================================================
    def on_button(self, id):
        if id == "idOkBtn":
            DLG.DrawGame(True)
            DLG.PauseGame(False)
            DLG.Close_dialog(self)
        pass
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
