# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import dialog


class ModeDlg(dialog.Dialog):
    checkbox_ids = ['idHardBox', 'idNormalBox', 'idEasyBox', 'idRelaxBox']
# ============================================================
    def __init__(self, cdata, params={}):
        dialog.Dialog.__init__(self, cdata, params)
        self.size = "small"
        # если нужно, то доп. параметры можно вытащить из params
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        if command == 'keycode':
            if param == 'escape':
                DLG.Close_dialog(self)
# ============================================================
    def on_create(self):
        #tools.SetGraphicCursor(False)
        tools.PlaySound('SND_WINDOW_WOOD')
        current_mode = DLG.PMgr.cur_user_stat.mode
        if current_mode == 'normal':
            self.SetCheckboxValue('idNormalBox', True, False)
        elif current_mode == 'relax':
            self.SetCheckboxValue('idRelaxBox', True, False)
        elif current_mode == 'hard':
            self.SetCheckboxValue('idHardBox', True, False)
        elif current_mode == 'easy':
            self.SetCheckboxValue('idEasyBox', True, False)
# ============================================================
    def on_button(self, id):
        if id == "idOkBtn":
            self.on_ok()
            DLG.Close_dialog(self)
        elif id == "idCancelBtn":
            #tools.SetGraphicCursor(True)
            DLG.Close_dialog(self)
# ============================================================
    def on_checkbox_change(self, cbox_id, checked):
        for cbox in self.checkbox_ids:
            self.SetCheckboxValue(cbox, False, False)
        self.SetCheckboxValue(cbox_id, True, False)
# ============================================================
    def on_ok(self):
        for cbox in self.checkbox_ids:
            _is_checked = self.GetCheckboxValue(cbox)
            if _is_checked:
                _mode = 'normal'
                if cbox == 'idNormalBox': _mode = 'normal'
                elif cbox == 'idRelaxBox': _mode = 'relax'
                elif cbox == 'idHardBox': _mode = 'hard'
                elif cbox == 'idEasyBox': _mode = 'easy'
                DLG.PMgr.cur_user_stat.mode = _mode
                DLG.PMgr.save_current_user()
                _main = DLG.get_dialog('MainMenu')
                if _main:
                    _main.update_top_texts()
                return
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
