# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import dialog


class SecretDlg(dialog.Dialog):
# ============================================================
    def __init__(self, cdata, params={}):
        dialog.Dialog.__init__(self, cdata, params)
        self.size = "small"
        # если нужно, то доп. параметры можно вытащить из params
        self.text = params.text
        if self.text:
            self.SetText('idInfo', [('text', self.text)])
        self.name = ''
        if 'name' in params:
            self.name = params.name
            if self.name:
                self.SetText('idInfoName', [('text', self.name)])
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        if command == 'keycode':
            if param == 'enter':
                DLG.PauseGame(False)
                DLG.Close_dialog(self)
# ============================================================
    def on_create(self):
        tools.PlaySound('SND_WINDOW_OPEN')
        DLG.PauseGame(True)
# ============================================================
    def on_button(self, id):
        if id == "idOkBtn":
            DLG.PauseGame(False)
            DLG.Close_dialog(self)
        pass
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
