# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_building

class Column(base_building.BaseBuilding):
    def __init__(self, cdata):
        base_building.BaseBuilding.__init__(self, cdata)
        self.ser_name = 'Column'
        self.SetIsHome(False)
# ============================================================
    def need_base_resource(self):
        return False
# ============================================================
    def on_res_gen_started(self):
        pass
# ============================================================
    def on_message(self, msg_type, msg_param1, msg_param2, msg_dict):
        pass
# ============================================================
    def on_minimal_effectiveness(self):
        pass
# ============================================================
    def on_functional(self):
        BMgr.add_column(self)
# ============================================================
    def on_non_functional(self):
        BMgr.remove_column(self)
# ============================================================
    def on_repair_complete(self):
        base_building.BaseBuilding.on_repair_complete(self)
        LBoard.Core.try_open_help(1,5, 19, self, '4201')
# ============================================================