# -*- coding: utf-8 -*-

import sys
if not 'tinypy' in sys.version:
    from extra import *

import task_classes
import base_diff_item

class BoatSubtask(task_classes.Subtask):
    def __init__(self, parent_task = None, actor = None):
        task_classes.Subtask.__init__(self, parent_task, actor)
        self.ser_name = 'BoatSubtask'
        self.actor_action_animation = 'pickup'
# ============================================================
    def start_action(self, item):
        item.FSM.HandleEvent('start_event', True)
        self.actor.stop_walk()
        self.actor.action_hit_item(item)     # генерал сам доломает горшок, BUG: возможен, если отмена произойдет в момент ломания
        return True
# ============================================================
# ============================================================
class Boat(base_diff_item.DiffItem):
    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'Boat'
# ============================================================
    # @override
#    def switch_animation(self):
#        pass
# ============================================================
    # @override
    def on_action_hits_me_complete(self):
        #self.switch_variant( self.variants[_cur_variant_name] ) # переключаемся на открытый вариант
        #self.action_hits_last = self.GetAttrInt('action_hits_count')   # уже после смены варианта
        #chest_info = {'type':self.get('type'), 'subtype':self.get('subtype')}
        #EMgr.send_event( 'chest_opened', self, chest_info )
        #self.deactivate()
        #self.SetMouseActive(False)
        #self.switch_animation()
        self.send_extra_event()
        _g = UMgr.get_general()
        self.task.complete_task()
        TMgr.cancel_general_tasks() # потому что дальше ничего выполнять нельзя
        _g.on_boat_on(self) # removes boat inside
# ============================================================
    def get_subtask(self, parent_task, actor):
        return BoatSubtask(parent_task, actor)
# ============================================================
    def _get_tips_extra(self, place, result, by_click):
            if place == 'before_click':
                if self.is_deactivated:
                    result.append( ('text', 'COLOR_LINES') )
                    result.append( ('text', 'NOT_BOAT') )
                    return False
            return True
# ============================================================
# #######################################################
# #######################################################
# #######################################################
