# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item

class Fish(base_diff_item.DiffItem):
    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'Fish'
# ============================================================
    #@override
    def on_create(self):
        base_diff_item.DiffItem.on_create(self)
        if self.get('name') == 'crocodiles':
            self.Drawer.AddAnimationEvent('default', 1, 'float_event')
            self.Drawer.AddAnimationEvent('default', 83, 'sink_event')
# ============================================================
    def on_message(self, msg_type, msg_param1, msg_param2, msg_dict):
        if msg_type == 'float_event':
            self.PlaySound('SND_PLESIOSAUR_UP')
        elif msg_type == 'sink_event':
            self.PlaySound('SND_PLESIOSAUR_DOWN')
        else:
            base_diff_item.DiffItem.on_message(self, msg_type, msg_param1, msg_param2, msg_dict)
# ============================================================
# #######################################################
