# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item

class IndWorker(base_diff_item.DiffItem):
    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'IndWorker'
        self.snd_hit = self.GetAttrStr('snd_hit')
        self.snd_hit_percent = self.GetAttrInt('snd_hit_percent')
        if self.snd_hit:
            self.Drawer.SetAnimationEvent('default', self.snd_hit_percent, 'need_hit_sound')
# ============================================================
    def on_create(self):
        base_diff_item.DiffItem.on_create(self)
# ============================================================
    def switch_animation(self):
        self.Drawer.ShowImages('', False)
        self.Drawer.ShowImages('default')
# ============================================================
    def on_message(self, msg_type, msg_param1='', msg_param2='', msg_dict={}):
        if msg_type == 'need_hit_sound':
            self.PlaySound(self.snd_hit)
# ============================================================
# #######################################################
# #######################################################
# #######################################################
