# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import base_diff_item


class Mais(base_diff_item.DiffItem):

    mais_groups = ['anim_mais'+str(i) for i in range(1,7)]

    def __init__(self, cdata):
        base_diff_item.DiffItem.__init__(self, cdata)
        self.ser_name = 'Mais'
        #self.Drawer.SetTreeMode(self.mais_groups, 100)
        for _g in self.mais_groups:
            self.Drawer.SetTreeMode(_g, 57, 2, 0.33)
# ============================================================
    #@override
    def switch_animation(self):
        base_diff_item.DiffItem.switch_animation(self)
        drawer = self.Drawer
        if not drawer.IsPartiallyInFog():
            drawer.ShowImages(self.mais_groups)
            for _g in self.mais_groups:
                drawer.SetTreeMode(_g, 57, 2, 0.33)
            #self.Drawer.SetTreeMode(self.mais_groups, 100)
# ============================================================
# #######################################################
# #######################################################
# #######################################################
