# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import dialog


class AskingDlg(dialog.Dialog):
# ============================================================
    def __init__(self, cdata, params={}):
        dialog.Dialog.__init__(self, cdata, params)
        self.size = 'small'
        # если нужно, то доп. параметры можно вытащить из params
        self.tag = params.tag
        self.close_on_yes = ('no_yes_close' not in params)
        self.caller_dlg_name = params.caller_dlg_name
        self.extra = {}
        if 'extra' in params:
            self.extra = params['extra']
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        if command == 'keycode':
            if param == 'escape':
                DLG.Close_dialog(self)
# ============================================================
    def on_create(self):
        #tools.SetGraphicCursor(False)
        tools.PlaySound('SND_WINDOW_WOOD')
# ============================================================
    def on_button(self, id):
        if id == 'idYesBtn':
            _caller_dlg = DLG.get_dialog(self.caller_dlg_name)
            _caller_dlg.on_yesno_result(self.tag, 'yes', self.extra)
            if self.close_on_yes:
                DLG.Close_dialog(self)
        elif id == 'idNoBtn':
            _caller_dlg = DLG.get_dialog(self.caller_dlg_name)
            _caller_dlg.on_yesno_result(self.tag, 'no', self.extra)
            DLG.Close_dialog(self)
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
