# -*- coding: utf-8 -*-

import sys
if not "tinypy" in sys.version:
    from extra import *

import dialog


class ExitDlg(dialog.Dialog):
# ============================================================
    def __init__(self, cdata, params={}):
        dialog.Dialog.__init__(self, cdata, params)
        self.size = "small"
        self.game_was_paused = DLG.IsGamePaused()   # была ли игра на паузе до данного диалога
        if not self.game_was_paused: DLG.PauseGame(True)
# ============================================================
    def on_signal(self, signal):
        pass
# ============================================================
    def on_state_machine(self, type, state_name, additional):
        if type == "enter":
            pass
        elif type == "exit":
            pass
        elif type == "change":
            self.on_state_change(additional.prev_state, additional.next_state)
        pass
# ============================================================
    def on_state_change(self, cur_state, next_state):
        pass
# ============================================================
    def on_dlg_command(self, tag, command):
        pass
# ============================================================
    def on_command(self, name, command, param):
        if command == 'keycode':
            if param == 'escape':
                if not self.game_was_paused: DLG.PauseGame(False)
                DLG.Close_dialog(self)
                #DLG.PauseGame(False)
# ============================================================
    def on_create(self):
        #tools.SetGraphicCursor(False)
        #self.SetText('idHeaderText', [('text', 'SURE_EXIT')] )
        tools.PlaySound('SND_WINDOW_WOOD')
        #DLG.PauseGame(True)
# ============================================================
    def on_button(self, id):
        if id == "idYesBtn":
            DLG.SaveGame()
            self.ApplyLevelStat(False)
            DLG.StopGame()
            #DLG.Open_dialog("BookMenu", "dlg_book")
            DLG.Close_dialog(self)
            DLG.clear_awaitinig_dialogs()
            tools.Exit()
        elif id == "idNoBtn":
            if not self.game_was_paused: DLG.PauseGame(False)
            DLG.Close_dialog(self)
        #DLG.PauseGame(False)
        pass
# ============================================================
    def on_update(self, ms):
        pass
# ============================================================
# ============================================================
# ============================================================
# ============================================================
